local harbour = foundation.createMod();

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.8") < 0) then
    harbour:logError("harbour: game version anterior to 1.8")
    return
end
_scriptFolder = "scripts1.8"
harbour:msgBox("harbour: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
harbour:dofile(_scriptFolder .. "/common.lua")

_NoSandbox = difficultyLevel(harbour, "harbour")

-- check all the dependencies
if not checkVersion(harbour, "harbour", "Window Decorations V3", "9f9781bd-0bb9-4e83-a71c-3688c27bf698", "3.0.3") then
    return
end

_optionComp = "COMPONENT"
HarbourPrefix = "HARBOUR_V3"
CommonWindowPrefix = "CUSTOM_WINDOW_V3"
CommonDoorPrefix = "CUSTOM_DOOR_V3"


-- Monuments
harbour:dofile(_scriptFolder .. "/monument.lua")
